Include "iniFile01.bb"
Include "Inc_BCF.bb"


Graphics3D 640, 480, 0, 2
SetBuffer BackBuffer()


; Cration du fichier de langues
iniCreerFichier("Langue.ini")

; Cration de la section franaise
iniCreerSection("Langue.ini", "Francais")
; Remplissage de la section franais
iniCreerVariableFloat("Langue.ini", "Francais", "Version", 0.1)
iniCreerVariableStr("Langue.ini", "Francais", "LabelBouton1", "Ouvrir")
iniCreerVariableStr("Langue.ini", "Francais", "LabelBouton2", "Quitter")
iniCreerVariableInt("Langue.ini", "Francais", "Utilisateurs", 1)
iniCreerVariableFloat("Langue.ini", "francais", "Float", 10.03) 


; Cration de la section englaise
iniCreerSection("Langue.ini", "English")
; Remplissage de la section franais
iniCreateVarFloat("Langue.ini", "english", "Version", 0.2)
iniCreateVarStr("Langue.ini", "english", "LabelBouton1", "Open")
iniCreateVarStr("Langue.ini", "english", "LabelBouton2", "Exit")
iniCreateVarInt("Langue.ini", "english", "Utilisateurs", 2)
iniCreateVarFloat("Langue.ini", "english", "Float", 5.17)





; initialisation de BCF
;-------------------------
BCF_InitBCF(2,1)

; activation de la souris
;--------------------------
BCF_Init3DMouse(3)

; Menu langue
;------------
; Cration de la fentre des menus
FenMenuLangue = BCF_CreateWindow(160, 200, 320, 150, 1, 1, "Language", False, False)
; Cration du texte de sauvegarde du preset
lblChoixLangue = BCF_CreateLabelText(fenMenuLangue, 5, 5, "Please choose your language", 1, 1, 255 , 255, 255)
; Cration d'une combo pour choisir le sprite mis
cmbLangue = BCF_CreateComboxBox(fenMenuLangue, 5, 30, 230, 100)
; Cration d'un bouton de validation
btnOK = BCF_CreateButton(fenMenuLangue, 125, 100, 50, 20, "OK")

; Remplissage de la combo
If FileType("langue.ini") = 1 Then
	FichierLu = ReadFile("langue.ini")
	While Not Eof(FichierLu) 
		Preset$ = ReadLine(FichierLu)
		If  iniEstUneSection(Preset) Then
			BCF_AddComboBoxItem(cmbLangue, iniNomSection(Preset))
		End If
	Wend
	CloseFile(FichierLu)
EndIf


; mise  jour de la BCF
;------------------------
BCF_RenderBCF()


Flip



While Not(KeyHit(1))

	; Clic sur le bouton OK
	If BCF_TestButton(btnOK) Then
		Choix$ = BCF_TestComboBox(cmbLangue)
		; Si on a choisi une langue, on affiche une fenetre avec la langue adquate
		If Choix <> "" Then
			BCF_KillWindow(fenMenuLangue)
			; Cration de la fentre des menus
			FenDemo = BCF_CreateWindow(0, 0, 200, 400, 1, 1, "Demo", False, False)
			; Cration d'un bouton d'un premier bouton
			btnOuvrir = BCF_CreateButton(fenDemo, 125, 100, 50, 20, iniLireVariableStr("Langue.ini", Choix, "LabelBouton1"))
			; Cration d'un bouton d'un premier bouton
			btnQuitter = BCF_CreateButton(fenDemo, 125, 130, 50, 20, iniLireVariableStr("Langue.ini", Choix, "LabelBouton2"))
		End If
	End If
	

	; Affichage
	Cls

	; mise  jour de la BCF
	;------------------------
	BCF_RenderBCF()
	
	Flip
Wend

; on dtruit la BCF pour librer correctement la mmoire
;-------------------------------------------------------
BCF_KillBCF()

End
